<#import "csrf_token.ftlh" as csrf>
<#macro login path isRegisterForm>
    <form action="${path}" method="post" xmlns="http://www.w3.org/1999/html">
        <@csrf.token />
        <div class="mb-2 form-group-row">
            <label for="username" class="form-label">Имя пользователя</label>
            <div class="col-sm-3">
                <input type="text" class="form-control ${(usernameError??)?then('is-invalid', '')}"
                       name="username" id="username" placeholder="Введите имя пользователя" value="<#if user??>${user.username}</#if>"/>
                <#if usernameError??>
                    <div class="invalid-feedback">${usernameError}</div>
                </#if>
            </div>
        </div>
        <div class="mb-2">
            <label for="password" class="form-label">Пароль</label>
            <div class="col-sm-3">
                <input type="password" name="password" class="form-control  ${(passwordError??)?then('is-invalid', '')}" id="password" placeholder="Введите пароль"/>
                <#if passwordError??>
                    <div class="invalid-feedback">${passwordError}</div>
                </#if>
            </div>
        </div>

        <#if isRegisterForm>
            <div class="mb-2">
                <label for="passwordConfirm" class="form-label">Подтверждение пароля</label>
                <div class="col-sm-3">
                    <input type="password" name="passwordConfirm" class="form-control  ${(passwordConfirmError??)?then('is-invalid', '')}"
                           id="passwordConfirm" placeholder="Повторите пароль"/>
                    <#if passwordConfirmError??>
                        <div class="invalid-feedback">${passwordConfirmError}</div>
                    </#if>
                </div>
            </div>
            <div class="mb-2">
                <label for="email" class="form-label">Электронная почта</label>
                <div class="col-sm-3">
                    <input type="email" name="email" class="form-control ${(emailError??)?then('is-invalid', '')}"
                          id="email" placeholder="Введите почту" value="<#if user??>${user.email}</#if>"/>
                    <#if emailError??>
                        <div class="invalid-feedback">${emailError}</div>
                    </#if>
                </div>
            </div>
            <div class="g-recaptcha" data-sitekey="6LdR9DkgAAAAAAso2twVDv7IZ1DGxdZmwNrZCwfF"></div>
            <#if captchaError??>
                <div class="alert alert-danger" role="alert">${captchaError}</div>
            </#if>
        </#if>

        <div class = "mt-3">
            <#if !isRegisterForm>
            <a href="/registration" class="me-1">Создать пользователя</a>
            </#if>
            <button type="submit" class="btn btn-primary mb-2"><#if isRegisterForm>Создать пользователя<#else>Войти в систему</#if></button>
        </div>
    </form>
</#macro>

<#macro logout>
    <form action="/logout" method="post">
        <@csrf.token />
        <button type="submit" class="btn btn-primary">Выйти</button>
    </form>
</#macro>